#
# Sync with fedora => OK
#
Name:          maven-processor-plugin
Version:       2.0.7
Release:       %mkrel 2
Summary:       Maven Processor Plugin
Group:         Development/Java
# some classes and pom file are annotated with ASL 2.0
# and the site here it is hosted says "GNU Lesser GPL"
# contacted the project owner (available in POM) and clarified the license status in LGPLv3
License:       LGPLv3 and ASL 2.0
Url:           http://code.google.com/p/maven-annotation-plugin/
# git clone https://code.google.com/p/maven-annotation-plugin/ maven-processor-plugin-2.0.7
# (cd maven-processor-plugin-2.0.7/ && git archive --format=tar --prefix=maven-processor-plugin-2.0.7/ maven-processor-plugin-2.0.7 | xz > ../maven-processor-plugin-2.0.7-src-git.tar.xz)
Source0:       %{name}-%{version}-src-git.tar.xz
Patch0:        %{name}-%{version}-remove-jvnet-wagon-svn-extension.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

# test deps
BuildRequires: junit

BuildRequires: maven

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      maven

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
A maven plugin to process annotation for jdk6 at compile time

This plugin helps to use from maven the new annotation processing
provided by JDK6 integrated in java compiler

This plugin could be considered the 'alter ego' of maven apt plugin.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
%pom_xpath_remove pom:project/pom:profiles

cp -p src/main/resources/COPYING.LESSER .

%build

mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc COPYING.LESSER

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.LESSER


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.7-2.mga3
+ Revision: 359740
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 2.0.7-1.mga3
+ Revision: 325789
- New version

* Sun Jun 24 2012 dmorgan <dmorgan> 2.0.5-1.mga3
+ Revision: 263221
- imported package maven-processor-plugin

